﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestTeeChart2010
{
    public partial class Form1 : Form
    {

            //        Steema.TeeChart.Tools.RectangleTool rectangulo ;    
            //Steema.TeeChart.Tools.Annotation anotacion ;

            //Steema.TeeChart.Tools.Selector selector;

        public Form1()
        {
            InitializeComponent();

           
        }

        private void button1_Click(object sender, EventArgs e)
        {



            if (tChart1.Tools.Count > 0)
                tChart1.Tools.RemoveAt(tChart1.Tools.Count - 1);


            Steema.TeeChart.Tools.RectangleTool rectangulo;
            Steema.TeeChart.Tools.Annotation anotacion;

            rectangulo = new Steema.TeeChart.Tools.RectangleTool();
            rectangulo.Width = 130;
//            rectangulo.Height = 130;

            rectangulo.Dragging += new Steema.TeeChart.Tools.RectangleToolDraggingEventHandler(rectanguloDragging);
           
            anotacion = new Steema.TeeChart.Tools.Annotation();
            anotacion.Text = "my annotation0";
            anotacion.Tag = 0;

            TagRectangulo tagrec = new TagRectangulo();
            tagrec.tag = listBox1.SelectedItem.ToString();
            ArrayList lista = new ArrayList();
            lista.Add(anotacion);
            tagrec.campos = lista;
            rectangulo.Tag = tagrec;
            resizeRectangulo(rectangulo);


            tChart1.Tools.Add(rectangulo);
            tChart1.Tools.Add(anotacion);


            tChart1.Refresh();
            anotacion.Left = rectangulo.Left + 10;
            anotacion.Top = rectangulo.Top + 10;

            Steema.TeeChart.Tools.Selector selector;
            selector = new Steema.TeeChart.Tools.Selector();
            tChart1.Tools.Add(selector);


        }

        private void rectanguloDragging(object sender, EventArgs e)
        {
            //System.Diagnostics.Debug.WriteLine(((Steema.TeeChart.Tools.RectangleTool)sender).Position.ToString());

            TagRectangulo tagrec = (TagRectangulo)((Steema.TeeChart.Tools.RectangleTool)sender).Tag;
            for (int i = 0; i<tagrec.campos.Count; i++)
            {
                Steema.TeeChart.Tools.Annotation anotacion = (Steema.TeeChart.Tools.Annotation)tagrec.campos[i];
                anotacion.Left = ((Steema.TeeChart.Tools.RectangleTool)sender).Left + 10;
                anotacion.Top = ((Steema.TeeChart.Tools.RectangleTool)sender).Top + 10 + i * 30;
            }

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tChart1.Series[0].FillSampleValues();
            Steema.TeeChart.Styles.Line puntos = new Steema.TeeChart.Styles.Line(tChart1.Chart);
            tChart1.Series.Add(puntos);


            tChart1.Series[0].XValues.DateTime = true;
            tChart1.Axes.Bottom.Labels.DateTimeFormat = "dd/MM/yyy HH:mm";

            tChart1.Series[0].Add(new  DateTime(2001,1,1), 1);
            tChart1.Series[0].Add(new DateTime(2001, 1, 2), 2);
            tChart1.Series[0].Add(new DateTime(2001, 1, 3), null);
            tChart1.Series[0].Add(new DateTime(2001, 1, 4), 2);
        }

        private void btnAnotation_Click(object sender, EventArgs e)
        {

            if (tChart1.Tools.Count > 0)
                tChart1.Tools.RemoveAt(tChart1.Tools.Count - 1);


            for (int i = 0; i < tChart1.Tools.Count; i++)
            {
                if (tChart1.Tools[i].GetType().Name.Equals("RectangleTool"))
                {
                    Steema.TeeChart.Tools.RectangleTool rectangulo = (Steema.TeeChart.Tools.RectangleTool)tChart1.Tools[i];
                    TagRectangulo tagrec = (TagRectangulo)rectangulo.Tag;

                    if (tagrec.tag.Equals(listBox1.SelectedItem.ToString()))
                    {
                        //Steema.TeeChart.Tools.Annotation anotacion = (Steema.TeeChart.Tools.Annotation)tagrec.campos[0];


                        Steema.TeeChart.Tools.Annotation anotacion = new Steema.TeeChart.Tools.Annotation();
                        anotacion.Text = "my annotation1";
                        anotacion.Tag = 1;
                        
                        tagrec.campos.Add(anotacion);

                        rectangulo.Tag = tagrec;

                        tChart1.Tools.Add(anotacion);


                        tChart1.Refresh();
                        anotacion.Left = rectangulo.Left + 10;
                        anotacion.Top = rectangulo.Top + 10 + (tagrec.campos.Count - 1) * 30;

                        Steema.TeeChart.Tools.Selector selector;
                        selector = new Steema.TeeChart.Tools.Selector();
                        tChart1.Tools.Add(selector);

                        resizeRectangulo(rectangulo);
                    }

                }
                int kk = 3;
            }
        }

        private void btnAnotation2_Click(object sender, EventArgs e)
        {
            if (tChart1.Tools.Count > 0)
                tChart1.Tools.RemoveAt(tChart1.Tools.Count - 1);


            for (int i = 0; i < tChart1.Tools.Count; i++)
            {
                if (tChart1.Tools[i].GetType().Name.Equals("RectangleTool"))
                {
                    Steema.TeeChart.Tools.RectangleTool rectangulo = (Steema.TeeChart.Tools.RectangleTool)tChart1.Tools[i];
                    TagRectangulo tagrec = (TagRectangulo)rectangulo.Tag;

                    if (tagrec.tag.Equals(listBox1.SelectedItem.ToString()))
                    {
                        //Steema.TeeChart.Tools.Annotation anotacion = (Steema.TeeChart.Tools.Annotation)tagrec.campos[0];


                        Steema.TeeChart.Tools.Annotation anotacion = new Steema.TeeChart.Tools.Annotation();
                        anotacion.Text = "my annotation2";
                        anotacion.Tag = 1;

                        tagrec.campos.Add(anotacion);

                        rectangulo.Tag = tagrec;

                        tChart1.Tools.Add(anotacion);


                        tChart1.Refresh();
                        anotacion.Left = rectangulo.Left + 10;
                        anotacion.Top = rectangulo.Top + 10 + (tagrec.campos.Count - 1) * 30;

                        Steema.TeeChart.Tools.Selector selector;
                        selector = new Steema.TeeChart.Tools.Selector();
                        tChart1.Tools.Add(selector);
                    }

                }
                int kk = 3;
            }
        }

        private void resizeRectangulo(Steema.TeeChart.Tools.RectangleTool rectangulo)
        {
            TagRectangulo tagrec = (TagRectangulo)rectangulo.Tag;
            rectangulo.Height = 10 + (tagrec.campos.Count * 30);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            tChart1.Series[0].Title = "lkjlkj";
        }
    }
}



// V1
   //if (tChart1.Tools.Count > 0)
   //             tChart1.Tools.RemoveAt(tChart1.Tools.Count - 1);


   //         Steema.TeeChart.Tools.RectangleTool rectangulo;
   //         Steema.TeeChart.Tools.Annotation anotacion;

   //         rectangulo = new Steema.TeeChart.Tools.RectangleTool();
   //         rectangulo.Width = 130;

   //         rectangulo.Dragging += new Steema.TeeChart.Tools.RectangleToolDraggingEventHandler(rectanguloDragging);
           
   //         anotacion = new Steema.TeeChart.Tools.Annotation();
   //         anotacion.Text = "my annotation";

   //         rectangulo.Tag = anotacion;


   //         tChart1.Tools.Add(rectangulo);
   //         tChart1.Tools.Add(anotacion);


   //         tChart1.Refresh();
   //         anotacion.Left = rectangulo.Left + 10;
   //         anotacion.Top = rectangulo.Top + 10;

   //         Steema.TeeChart.Tools.Selector selector;
   //         selector = new Steema.TeeChart.Tools.Selector();
   //         tChart1.Tools.Add(selector);